/// <reference types="vite/client" />

interface Message {
    role: 'user' | 'assistant' | 'system';
    content: string;
  }
  
  declare interface Window {
    electronAPI: {
      getWeather: (params: { lon: number; lat: number }) => Promise<any>;
      getNews: () => Promise<any>;
      chatWithDeepseek: (messages: Message[]) => Promise<void>;
      onChatStreamChunk: (callback: (event: unknown, chunk: string) => void) => void;
      onChatStreamEnd: (callback: () => void) => void;
      onChatStreamError: (callback: (event: unknown, error: string) => void) => void;
      removeListener: (channel: string, callback: (...args: any[]) => void) => void;
    };
  }